From 1725622b7fb31613b2af32e1b1ff5777cc432317 Mon Sep 17 00:00:00 2001
From: Pavan Deolasee <pavan.deolasee@gmail.com>
Date: Mon, 1 Jul 2024 19:31:51 +0530
Subject: [PATCH] Fix missing installation/uninstallation rules for
 BackgroundPsql.pm

Commit d5fd7865 backported BackgroundPsql perl module module with helper
functions for tests running interactive or background psql tasks. to
PG 12 to 15, but did not add installation/uninstallation rules of the build
system, causing problems running TAP tests for the extensions.
---
 src/test/perl/Makefile | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/test/perl/Makefile b/src/test/perl/Makefile
index ffa736a54cd..4e2ea91ec54 100644
--- a/src/test/perl/Makefile
+++ b/src/test/perl/Makefile
@@ -24,6 +24,7 @@ install: all installdirs
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/RecursiveCopy.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/RecursiveCopy.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/Cluster.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Cluster.pm'
 	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Version.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Version.pm'
+	$(INSTALL_DATA) $(srcdir)/PostgreSQL/Test/BackgroundPsql.pm '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/BackgroundPsql.pm'
 
 uninstall:
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Utils.pm'
@@ -31,5 +32,6 @@ uninstall:
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/RecursiveCopy.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/Cluster.pm'
 	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Version.pm'
+	rm -f '$(DESTDIR)$(pgxsdir)/$(subdir)/PostgreSQL/Test/BackgroundPsql.pm'
 
 endif
-- 
2.38.1

